## python-parsl 2024.02.26%2Bds

=== debian/changelog ===
python-parsl (2024.02.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.26+ds
  * offline-documentation.patch: refresh.
  * use-standard-mock.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 11:43:21 +0100

python-parsl (2024.02.19+ds-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove ref to old python3-mock

  [ Étienne Mollier ]
  * New upstream version 2024.02.19+ds
  * offline-documentation.patch: unfuzz.
  * use-standard-mock.patch: new.
    Thanks to Alexandre Detiste

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 16:35:16 +0100

python-parsl (2024.02.12+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.12+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 13:07:36 +0100

python-parsl (2024.02.05+ds-1) unstable; urgency=medium

  [ James Addison ]
  * sphinx-autodoc-preserve-argdefaults.patch:
    improve Sphinx documentation reproducibility by preserving argument
    defaults (Closes: #1063542)

  [ Étienne Mollier ]
  * d/rules: remove now unneeded sanitizing.
    Thanks to James Addison
  * New upstream version 2024.02.05+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Feb 2024 22:33:29 +0100

python-parsl (2023.11.13+ds-1) unstable; urgency=medium

  * Source upload to migrate new package to unstable.
  * d/clean: new: fix double source build failure.

 -- Étienne Mollier <emollier@debian.org>  Mon, 22 Jan 2024 20:20:39 +0100

python-parsl (2023.11.13+ds-0+exp1) experimental; urgency=medium

  * Initial release. (Closes: #1050081)

 -- Étienne Mollier <emollier@debian.org>  Wed, 17 Jan 2024 21:27:33 +0100

## python-parsl 2024.02.26+ds

=== Makefile ===
PYTHON := $(shell which python3 || echo ".python_is_missing")
SHELL := $(shell which bash) # Use bash instead of bin/sh as shell
GIT := $(shell which git || echo ".git_is_missing")
CWD := $(shell pwd)
DEPS := .deps
CCTOOLS_INSTALL := /tmp/cctools
MPICH=mpich
OPENMPI=openmpi
export PATH := $(CCTOOLS_INSTALL)/bin/:$(PATH)
export CCTOOLS_VERSION=7.7.2
export HYDRA_LAUNCHER=fork
export OMPI_MCA_rmaps_base_oversubscribe=yes
MPI=$(MPICH)

.PHONY: help
help: ## me
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

VENV = .venv
.PHONY: virtualenv
virtualenv: ## create an activate a virtual env
	test -f $(VENV)/bin/activate || $(PYTHON) -m venv $(VENV)
	echo "Run 'source $(VENV)/bin/activate' to activate the virtual environment"


$(DEPS): test-requirements.txt requirements.txt
	pip3 install --upgrade pip
	pip3 install -r test-requirements.txt -r requirements.txt
	touch $(DEPS)

.PHONY: deps
deps: $(DEPS) ## install the dependencies

.PHONY: lint
lint: ## run linter script
	parsl/tests/lint-inits.sh

.PHONY: flake8
flake8:  ## run flake
	flake8 parsl/

.PHONY: clean_coverage
clean_coverage:
	rm -f .coverage

.PHONY: mypy
mypy: ## run mypy checks
	MYPYPATH=$(CWD)/mypy-stubs mypy parsl/

.PHONY: local_thread_test
local_thread_test: ## run all tests with local_thread config
	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/local_threads.py --random-order --durations 10

.PHONY: htex_local_test
htex_local_test: ## run all tests with htex_local config
	pip3 install .
	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local.py --random-order --durations 10

.PHONY: htex_local_alternate_test
htex_local_alternate_test: ## run all tests with htex_local config
	pip3 install ".[monitoring]"
	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local_alternate.py --random-order --durations 10

$(CCTOOLS_INSTALL):	#CCtools contains both taskvine and workqueue so install only once
	parsl/executors/taskvine/install-taskvine.sh

.PHONY: vineex_local_test
vineex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with taskvine_ex config
	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10

.PHONY: wqex_local_test
wqex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with workqueue_ex config
	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10

.PHONY: radical_local_test
radical_local_test:
	pip3 install ".[radical-pilot]"
	mkdir -p ~/.radical/pilot/configs && echo '{"localhost": {"virtenv_mode": "local"}}' > ~/.radical/pilot/configs/resource_local.json
	pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/local_radical.py --random-order --durations 10

.PHONY: config_local_test
config_local_test:
	pip3 install ".[monitoring,visualization,proxystore]"
	pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10

.PHONY: site_test
site_test:
	pytest parsl/tests/ -k "not cleannet" ${SHARED_FS_OPTIONS} --config parsl/tests/site_tests/site_config_selector.py --random-order
	pytest parsl/tests/site_tests/ ${SHARED_FS_OPTIONS} --config local

.PHONY: perf_test
perf_test:
	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py

.PHONY: test ## run all tests with all config types
test: clean_coverage lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test radical_local_test config_local_test perf_test ## run all tests
# vineex_local_test removed from this test: target - waiting for resolution of issue #3089

.PHONY: tag
tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag
	./tag_and_release.sh create_tag $(VERSION)

.PHONY: package
package: ## package up a distribution.
	./tag_and_release.sh package

.PHONY: deploy
deploy: ## deploy the distribution
	./tag_and_release.sh release

# THIS IS MEANT TO BE INVOKED BY GITHUB ACTIONS **ONLY**
.PHONY: update_version
update_version: ## Update version
	./tag_and_release.sh update_version

.PHONY: release
release: deps tag package deploy   ## create a release. To run, do a 'make VERSION="version string"  release'

.PHONY: coverage
coverage: ## show the coverage report
	# coverage report
	echo no-op coverage report

.PHONY: clean
clean: ## clean up the environment by deleting the .venv, dist, eggs, mypy caches, coverage info, etc
	rm -rf .venv $(DEPS) dist *.egg-info .mypy_cache build .pytest_cache .coverage runinfo_* $(WORKQUEUE_INSTALL)

=== requirements.txt ===
pyzmq>=17.1.2

# typeguard uses semantic versioning.
# major v3 was a shortlived version that was rapidly replaced by major v4,
# so this specification excludes it.
# v2 and v4 are both seen in the wild with users in complex deployments.
typeguard>=2.10,!=3.*,<5


typing-extensions>=4.6,<5
globus-sdk
dill
tblib
requests
paramiko
psutil>=5.5.1
setproctitle

=== debian/control ===
Source: python-parsl
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               help2man <!nodoc>,
               python3-flask <!nodoc>,
               python3-flask-sqlalchemy <!nodoc>,
               flake8 <!nocheck>,
               mypy <!nocheck>,
               mpich <!nocheck>,
               python3-dill <!nocheck> <!nodoc>,
               python3-globus-sdk <!nocheck>,
               python3-ipyparallel <!nocheck>,
               python3-mypy <!nocheck>,
               python3-mypy-extensions <!nocheck>,
               python3-nbsphinx <!nocheck>,
               python3-pandas <!nocheck>,
               python3-paramiko <!nocheck> <!nodoc>,
               python3-psutil <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-random-order <!nocheck>,
               python3-requests <!nocheck> <!nodoc>,
               python3-setproctitle <!nocheck>,
               python3-sphinx-rtd-theme <!nocheck>,
               python3-sqlalchemy <!nocheck>,
               python3-typeguard <!nocheck> <!nodoc>,
               python3-typing-extensions <!nocheck>,
               python3-typing-inspect <!nocheck>,
               python3-typeshed <!nocheck>,
               python3-tblib <!nocheck> <!nodoc>,
               python3-zmq <!nocheck> <!nodoc>,
               twine <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/Parsl/parsl
Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git
Rules-Requires-Root: no

Package: python3-parsl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         libjs-bootstrap,
         libjs-jquery,
         libjs-popper.js,
         node-fortawesome-fontawesome-free,
         python3-flask,
         python3-flask-sqlalchemy
# Provider for plotly-latest.min.js; not ideal but better than nothing.
# FIXME: a package with standalone plotly-latest.min.js would be nice.
Recommends: r-cran-plotly
Description: Parallel Scripting Library for Python
 Parsl extends parallelism in Python beyond a single computer.
 .
 One can use Parsl just like Python's parallel executors but across multiple
 cores and nodes. However, the real power of Parsl is in expressing multi-step
 workflows of functions. Parsl lets one chain functions together and will
 launch each function as inputs and computing resources are available.

Package: python-parsl-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-parsl,
         libjs-requirejs
Section: doc
Description: Parallel Scripting Library for Python - documentation
 Parsl extends parallelism in Python beyond a single computer.
 .
 One can use Parsl just like Python's parallel executors but across multiple
 cores and nodes. However, the real power of Parsl is in expressing multi-step
 workflows of functions. Parsl lets one chain functions together and will
 launch each function as inputs and computing resources are available.
 .
 This package provides a locally readable Parsl documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export LANG=C.UTF-8

# Look at upstream Makefile to find examples of how to run the test suite.
export PYBUILD_TEST_ARGS=\
	--verbose \
	-k "not cleannet \
	    and not test_stdout.py \
	    and not test_interchange_binding_with_non_ipv4_address" \
	--config parsl/tests/configs/local_threads.py
# Note that test_stdout.py is skipped due to missing appropriate typeguards.
# Also, test_interchange_binding_with_non_ipv4_address is fragile depending on
# the content of /etc/hosts.

PKGDIR=$(CURDIR)/debian/python3-parsl

%:
	dh $@ --buildsystem=pybuild --with=sphinxdoc

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# Build Sphinx documentation.
	$(MAKE) -C docs/ html
	# Remove dynamically injected privacy breaches.
	find docs/_build/html/ -name '*.html' -exec \
		sed -i 's@<script crossorigin="anonymous" integrity="[^"]*" src="https://[^"]*/require.min.js">@<script crossorigin="anonymous" src="file:///usr/share/javascript/requirejs/require.min.js">@' '{}' ';'
endif

execute_after_dh_install:
	# Cleanup unknown files landing in python3 modules directory.
	rm -rvf $(PKGDIR)/usr/lib/python3*/dist-packages/interchange.log \
		$(PKGDIR)/usr/lib/python3*/dist-packages/output.txt \
		$(PKGDIR)/usr/lib/python3*/dist-packages/hello1.txt \
		$(PKGDIR)/usr/lib/python3*/dist-packages/interchange.log \
		$(PKGDIR)/usr/lib/python3*/dist-packages/output.txt \
		$(PKGDIR)/usr/lib/python3*/dist-packages/std.out \
		$(PKGDIR)/usr/lib/python3*/dist-packages/runinfo

override_dh_installman: export PYTHONPATH=$(CURDIR)
override_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# FIXME: exec_parsl_function.py is broken: due to a 'result_file' not
	# defined.  This script is thus not shipped for the moment.
	rm -vf $(PKGDIR)/usr/bin/exec_parsl_function.py
	#help2man $(PKGDIR)/usr/bin/exec_parsl_function.py \
	#	--name "execute a parsl function pickled in a file" \
	#	--version-string="$(DEB_VERSION_UPSTREAM)" \
	#	--no-info \
	#> debian/exec_parsl_function.py.1
	help2man $(PKGDIR)/usr/bin/parsl-perf \
		--name "performance measurements of parsl configuration" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
	> debian/parsl-perf.1
	help2man $(PKGDIR)/usr/bin/parsl-visualize \
		--name "run parsl web dashboard" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
	> debian/parsl-visualize.1
	help2man $(PKGDIR)/usr/bin/process_worker_pool.py \
		--name "create a parsl process worker pool" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
	> debian/process_worker_pool.py.1
	# Note that parsl_coprocess.py spawns a server even if passing --help
	# or --version arguments, making it unsuitable for use with help2man.
	# Similarly, parsl-globus-auth attempts to connect to an authentication
	# server for Globus no matter what.  These commands are manually
	# documented instead.
	dh_installman --language=C
endif

before-pybuild-autopkgtest:
	# Pull test items that are otherwise uncaught by pybuild-autodep8.
	mkdir -p ../../autopkgtest_tmp/build/parsl
	cp -r /usr/lib/python3/dist-packages/parsl/tests \
		../../autopkgtest_tmp/build/parsl

## python-parsl 2024.05.27+ds

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 MPICH=mpich
 OPENMPI=openmpi
 export PATH := $(CCTOOLS_INSTALL)/bin/:$(PATH)
-export CCTOOLS_VERSION=7.7.2
+export CCTOOLS_VERSION=7.8.0
 export HYDRA_LAUNCHER=fork
 export OMPI_MCA_rmaps_base_oversubscribe=yes
 MPI=$(MPICH)
@@ -66,22 +66,22 @@
 
 .PHONY: vineex_local_test
 vineex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with taskvine_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
+	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
 
 .PHONY: wqex_local_test
 wqex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with workqueue_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
+	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
 
 .PHONY: radical_local_test
 radical_local_test:
 	pip3 install ".[radical-pilot]"
 	mkdir -p ~/.radical/pilot/configs && echo '{"localhost": {"virtenv_mode": "local"}}' > ~/.radical/pilot/configs/resource_local.json
-	pytest parsl/tests/ -k "not cleannet and not issue363" --config parsl/tests/configs/local_radical.py --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and not issue3328 and not executor_supports_std_stream_tuples" --config parsl/tests/configs/local_radical.py --random-order --durations 10
 
 .PHONY: config_local_test
-config_local_test:
+config_local_test: $(CCTOOLS_INSTALL)
 	pip3 install ".[monitoring,visualization,proxystore]"
-	pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10
+	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10
 
 .PHONY: site_test
 site_test:
@@ -93,8 +93,7 @@
 	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py
 
 .PHONY: test ## run all tests with all config types
-test: clean_coverage lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test radical_local_test config_local_test perf_test ## run all tests
-# vineex_local_test removed from this test: target - waiting for resolution of issue #3089
+test: clean_coverage lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
 
 .PHONY: tag
 tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag
@@ -123,4 +122,4 @@
 
 .PHONY: clean
 clean: ## clean up the environment by deleting the .venv, dist, eggs, mypy caches, coverage info, etc
-	rm -rf .venv $(DEPS) dist *.egg-info .mypy_cache build .pytest_cache .coverage runinfo_* $(WORKQUEUE_INSTALL)
+	rm -rf .venv $(DEPS) dist *.egg-info .mypy_cache build .pytest_cache .coverage runinfo $(WORKQUEUE_INSTALL)

=== debian/changelog ===
python-parsl (2024.05.27+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.27+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 31 May 2024 22:23:03 +0200

python-parsl (2024.05.20+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.20+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:49:52 +0200

python-parsl (2024.05.06+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.06+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 22:44:19 +0200

python-parsl (2024.04.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.22+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 10:44:33 +0200

python-parsl (2024.04.15+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.15+ds
  * d/control: declare compliance to standards version 4.7.0.
  * offline-documentation.patch: unfuzz.
  * d/control: doc build-depends on python3-filelock.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Apr 2024 19:36:59 +0200

python-parsl (2024.03.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.11+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 16:25:26 +0100

python-parsl (2024.03.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.04+ds
  * shebang.patch: forwarded upstream.
  * sphinx-autodoc-preserve-argdefaults.patch:
    Added further DEP-3 fields, including a forward upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 19:36:45 +0100

## python-parsl 2024.08.05+ds

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,10 @@
 .PHONY: lint
 lint: ## run linter script
 	parsl/tests/lint-inits.sh
+
+.PHONY: isort
+isort: ## run isort on all files
+	isort --check parsl/
 
 .PHONY: flake8
 flake8:  ## run flake
@@ -93,7 +97,7 @@
 	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py
 
 .PHONY: test ## run all tests with all config types
-test: clean_coverage lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
+test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
 
 .PHONY: tag
 tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag
@@ -123,3 +127,8 @@
 .PHONY: clean
 clean: ## clean up the environment by deleting the .venv, dist, eggs, mypy caches, coverage info, etc
 	rm -rf .venv $(DEPS) dist *.egg-info .mypy_cache build .pytest_cache .coverage runinfo $(WORKQUEUE_INSTALL)
+
+.PHONY: flux_local_test
+flux_local_test: ## Test Parsl with Flux Executor
+	pip3 install .
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/flux_local.py --random-order --durations 10

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 paramiko
 psutil>=5.5.1
 setproctitle
+filelock>=3.13,<4

=== debian/changelog ===
python-parsl (2024.08.05+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.05+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 20:05:29 +0200

python-parsl (2024.07.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.07.22+ds
  * Unfuzz patches.
  * shebang.patch: refresh.
  * d/install renamed d/python3-parsl.install.
  * d/lintian-overrides renamed d/python3-parsl.lintian-overrides.
  * d/examples renamed d/python3-parsl.examples.
  * d/manpages renamed d/python3-parsl.manpages.
  * d/rules: do not ship .py scripts in /usr/bin anymore.
    They are still available within the module if need be.
  * d/*lintian-overrides: remove override about file extension.
  * d/parsl_coprocess.py.1: manual deleted.
  * d/rules: trim a cleanup command.
  * d/s/lintian-overrides: flag false positive detection of "uu" module.
  * d/parsl-globus-auth.1: remove references to removed commands.

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 20:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-all,
                python3-setuptools,
                help2man <!nodoc>,
+               python3-filelock <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
                flake8 <!nocheck>,
@@ -38,7 +39,7 @@
                python3-tblib <!nocheck> <!nodoc>,
                python3-zmq <!nocheck> <!nodoc>,
                twine <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Parsl/parsl
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export LANG=C.UTF-8

# Look at upstream Makefile to find examples of how to run the test suite.
export PYBUILD_TEST_ARGS=\
	--verbose \
	-k "not cleannet \
	    and not test_stdout.py \
	    and not test_interchange_binding_with_non_ipv4_address" \
	--config parsl/tests/configs/local_threads.py
# Note that test_stdout.py is skipped due to missing appropriate typeguards.
# Also, test_interchange_binding_with_non_ipv4_address is fragile depending on
# the content of /etc/hosts.

PKGDIR=$(CURDIR)/debian/python3-parsl

%:
	dh $@ --buildsystem=pybuild --with=sphinxdoc

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# Build Sphinx documentation.
	$(MAKE) -C docs/ html
	# Remove dynamically injected privacy breaches.
	find docs/_build/html/ -name '*.html' -exec \
		sed -i 's@<script crossorigin="anonymous" integrity="[^"]*" src="https://[^"]*/require.min.js">@<script crossorigin="anonymous" src="file:///usr/share/javascript/requirejs/require.min.js">@' '{}' ';'
endif

execute_after_dh_install:
	# Cleanup unknown files landing in python3 modules directory.
	rm -rvf $(PKGDIR)/usr/lib/python3*/dist-packages/output.txt \
		$(PKGDIR)/usr/lib/python3*/dist-packages/hello1.txt \
		$(PKGDIR)/usr/lib/python3*/dist-packages/std.out
	# Cleanup scipts of primary interest for their classes.
	# They are still available within the module.
	rm -vf $(PKGDIR)/usr/bin/exec_parsl_function.py \
	       $(PKGDIR)/usr/bin/interchange.py \
	       $(PKGDIR)/usr/bin/parsl_coprocess.py \
	       $(PKGDIR)/usr/bin/process_worker_pool.py

override_dh_installman: export PYTHONPATH=$(CURDIR)
override_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	help2man $(PKGDIR)/usr/bin/parsl-perf \
		--name "performance measurements of parsl configuration" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
		--output debian/parsl-perf.1
	help2man $(PKGDIR)/usr/bin/parsl-visualize \
		--name "run parsl web dashboard" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--no-info \
		--output debian/parsl-visualize.1
	# parsl-globus-auth attempts to connect to an authentication
	# server for Globus no matter what, making it unsuitable for
	# help2man.  This command is manually documented instead.
	dh_installman --language=C
endif

before-pybuild-autopkgtest:
	# Pull test items that are otherwise uncaught by pybuild-autodep8.
	mkdir -p ../../autopkgtest_tmp/build/parsl
	cp -r /usr/lib/python3/dist-packages/parsl/tests \
		../../autopkgtest_tmp/build/parsl

## python-parsl 2024.10.28+ds

=== debian/changelog ===
python-parsl (2024.10.28+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.28+ds
  * offline-documentation.patch: unfuzz.
  * d/control: remove build dependency on flake8.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Nov 2024 18:07:41 +0100

python-parsl (2024.10.14+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.14+ds
  * d/rules: cleanup new test artifacts.
    This change also moves to pybuild some cleanup commands that were part
    of regular d/rules targets initially.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 16:32:23 +0200

python-parsl (2024.10.07+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.07+ds
  * d/s/lintian-overrides: delete: false positive fixed in lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 22:52:37 +0200

python-parsl (2024.09.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.16+ds
  * d/control: remove python3-ipyparallel from test dependencies.
    The module is not needed anymore, and dropped off Debian sid.
    (Closes: #1082524)

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 17:18:41 +0200

python-parsl (2024.09.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.02+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Sep 2024 22:01:33 +0200

python-parsl (2024.08.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.26+ds

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:30:09 +0200

python-parsl (2024.08.19+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.19+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 18:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,10 @@
                python3-filelock <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
-               flake8 <!nocheck>,
                mypy <!nocheck>,
                mpich <!nocheck>,
                python3-dill <!nocheck> <!nodoc>,
                python3-globus-sdk <!nocheck>,
-               python3-ipyparallel <!nocheck>,
                python3-mypy <!nocheck>,
                python3-mypy-extensions <!nocheck>,
                python3-nbsphinx <!nocheck>,

## python-parsl 2025.01.13+ds

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 
 .PHONY: config_local_test
 config_local_test: $(CCTOOLS_INSTALL)
-	pip3 install ".[monitoring,visualization,proxystore]"
+	pip3 install ".[monitoring,visualization,proxystore,kubernetes]"
 	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10
 
 .PHONY: site_test

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
 dill
 tblib
 requests
-paramiko
 psutil>=5.5.1
 setproctitle
 filelock>=3.13,<4

=== debian/changelog ===
python-parsl (2025.01.13+ds-2) unstable; urgency=medium

  * d/control: review nodoc and nocheck profiles. (Closes: #1116867)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: bump to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Sep 2025 23:05:39 +0200

python-parsl (2025.01.13+ds-1) unstable; urgency=medium

  * New upstream version 2025.01.13+ds
  * offline-documentation.patch: adjust to new file layout.
  * d/*.examples: adjust to new file layout.

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Jan 2025 22:00:49 +0100

python-parsl (2024.12.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.16+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 17 Dec 2024 19:06:02 +0100

python-parsl (2024.12.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.02+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Dec 2024 20:21:27 +0100

python-parsl (2024.11.25+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.25+ds
  * d/control: bump dependency to libjs-bootstrap4.
    The unversioned libjs-bootstrap corresponds to version 3, but html
    files look to expect version 4.1.3, so libjs-bootstrap4 is probably
    better suited.  Note this does not resolve a possible removal in favor
    of libjs-bootstrap 5.
  * privacy-breaches.patch: update file paths to point to bootstrap4.

 -- Étienne Mollier <emollier@debian.org>  Tue, 26 Nov 2024 20:33:28 +0100

python-parsl (2024.11.18+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.18+ds
  * d/salsa-ci.yml: introduce dedicated CI file.

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Nov 2024 21:26:02 +0100

python-parsl (2024.11.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.11+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Nov 2024 20:08:08 +0100

python-parsl (2024.11.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.04+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 06 Nov 2024 19:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                python3-all,
                python3-setuptools,
                help2man <!nodoc>,
-               python3-filelock <!nodoc>,
+               python3-filelock <!nocheck> <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
                mypy <!nocheck>,
                mpich <!nocheck>,
                python3-dill <!nocheck> <!nodoc>,
-               python3-globus-sdk <!nocheck>,
+               python3-globus-sdk <!nocheck> <!nodoc>,
                python3-mypy <!nocheck>,
                python3-mypy-extensions <!nocheck>,
-               python3-nbsphinx <!nocheck>,
+               python3-nbsphinx <!nocheck> <!nodoc>,
                python3-pandas <!nocheck>,
                python3-paramiko <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
@@ -28,7 +28,7 @@
                python3-pytest-random-order <!nocheck>,
                python3-requests <!nocheck> <!nodoc>,
                python3-setproctitle <!nocheck>,
-               python3-sphinx-rtd-theme <!nocheck>,
+               python3-sphinx-rtd-theme <!nocheck> <!nodoc>,
                python3-sqlalchemy <!nocheck>,
                python3-typeguard <!nocheck> <!nodoc>,
                python3-typing-extensions <!nocheck>,
@@ -37,16 +37,15 @@
                python3-tblib <!nocheck> <!nodoc>,
                python3-zmq <!nocheck> <!nodoc>,
                twine <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Parsl/parsl
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git
-Rules-Requires-Root: no
 
 Package: python3-parsl
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         libjs-bootstrap,
+         libjs-bootstrap4,
          libjs-jquery,
          libjs-popper.js,
          node-fortawesome-fontawesome-free,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 # Also, test_interchange_binding_with_non_ipv4_address is fragile depending on
 # the content of /etc/hosts.
 
+# These items need being cleansed up, otherwise they land at random
+# places within binary packages.
+export PYBUILD_AFTER_TEST=\
+	rm -rvf {build_dir}/pytest-parsl {build_dir}/output.txt \
+	        {build_dir}/hello1.txt   {build_dir}/std.out
+
 PKGDIR=$(CURDIR)/debian/python3-parsl
 
 %:
@@ -29,10 +35,6 @@
 endif
 
 execute_after_dh_install:
-	# Cleanup unknown files landing in python3 modules directory.
-	rm -rvf $(PKGDIR)/usr/lib/python3*/dist-packages/output.txt \
-		$(PKGDIR)/usr/lib/python3*/dist-packages/hello1.txt \
-		$(PKGDIR)/usr/lib/python3*/dist-packages/std.out
 	# Cleanup scipts of primary interest for their classes.
 	# They are still available within the module.
 	rm -vf $(PKGDIR)/usr/bin/exec_parsl_function.py \

=== debian/watch ===
Version: 5

Template: Github
Owner: Parsl
Project: parsl

## python-parsl 2025.10.27

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 
 typing-extensions>=4.6,<5
-globus-sdk
 dill
 tblib
 requests
+sortedcontainers
 psutil>=5.5.1
 setproctitle
 filelock>=3.13,<4

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -m sphinx
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Parsl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Parsl.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Parsl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Parsl"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== parsl/tests/sites/test_mpi/mpi_test/Makefile ===
CC=mpicc

CFLAGS = -Wall -g -lm -fopenmp -DDEBUG

SRC = $(wildcard *.c)

DEPS = $(wildcard *.h)

OBJS = $(SRC:.c=.o)

EXEC=mpi_hello

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

$(EXEC) : $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS)

clean:
	rm -f $(OBJS) $(EXEC) *~ *out *err

=== debian/changelog ===
python-parsl (2025.10.27-1) unstable; urgency=medium

  * New upstream version 2025.10.27
  * sphinx-autodoc-preserve-argdefaults.patch: delete.
    This patch is applied upstream.
  * autopkg-skip-custom-exception.patch: new patch.
    This skips test_custom_exception when running in autopkgtest context.
    The test is preserved at build time.
  * d/control: tests depend on python3-sortedcontainers.
  * offline-documentation.patch: trim new linked images.

 -- Étienne Mollier <emollier@debian.org>  Tue, 28 Oct 2025 19:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
                python3-pytest-random-order <!nocheck>,
                python3-requests <!nocheck> <!nodoc>,
                python3-setproctitle <!nocheck>,
+               python3-sortedcontainers <!nocheck>,
                python3-sphinx-rtd-theme <!nocheck> <!nodoc>,
                python3-sqlalchemy <!nocheck>,
                python3-typeguard <!nocheck> <!nodoc>,

## python-parsl 2025.11.03+ds

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,8 @@
 GIT := $(shell which git || echo ".git_is_missing")
 CWD := $(shell pwd)
 DEPS := .deps
-CCTOOLS_INSTALL := /tmp/cctools
 MPICH=mpich
 OPENMPI=openmpi
-export PATH := $(CCTOOLS_INSTALL)/bin/:$(PATH)
-export CCTOOLS_VERSION=7.8.0
 export HYDRA_LAUNCHER=fork
 export OMPI_MCA_rmaps_base_oversubscribe=yes
 MPI=$(MPICH)
@@ -44,60 +41,65 @@
 	flake8 parsl/
 
 .PHONY: clean_coverage
-clean_coverage:
+clean_coverage:  ## clear the coverage file (.coverage)
 	rm -f .coverage
 
 .PHONY: mypy
 mypy: ## run mypy checks
 	MYPYPATH=$(CWD)/mypy-stubs mypy parsl/
 
+.PHONY: gce_test
+gce_test: ## Run tests with GlobusComputeExecutor (--config .../globus_compute.py)
+	pytest -v -k "not shared_fs and not issue_3620 and not staging_required" --config parsl/tests/configs/globus_compute.py parsl/tests/ --random-order --durations 10
+	pytest -v -k "not shared_fs and not issue_3620 and not staging_required and globus_compute" --config local --random-order --durations 10
+
 .PHONY: local_thread_test
-local_thread_test: ## run all tests with local_thread config
+local_thread_test: ## run all tests with local_thread config (--config .../local_threads.py)
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/local_threads.py --random-order --durations 10
 
 .PHONY: htex_local_test
-htex_local_test: ## run all tests with htex_local config
+htex_local_test: ## run all tests with htex_local config (--config .../htex_local.py)
 	pip3 install .
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local.py --random-order --durations 10
 
 .PHONY: htex_local_alternate_test
-htex_local_alternate_test: ## run all tests with htex_local config
+htex_local_alternate_test: ## run all tests with htex_local_alternate config (--config .../htex_local_alternate.py)
 	pip3 install ".[monitoring]"
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local_alternate.py --random-order --durations 10
 
-$(CCTOOLS_INSTALL):	#CCtools contains both taskvine and workqueue so install only once
-	parsl/executors/taskvine/install-taskvine.sh
-
 .PHONY: vineex_local_test
-vineex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with taskvine_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
+vineex_local_test:  ## Run the VineExecutor local tests (-k taskvine --config local)
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and taskvine" --config local --random-order --durations 10
 
 .PHONY: wqex_local_test
-wqex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with workqueue_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
+wqex_local_test:  ## Run the WorkQueueExecutor local tests (-k workqueue --config local)
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and workqueue" --config local --random-order --durations 10
 
 .PHONY: radical_local_test
-radical_local_test:
+radical_local_test:  ## Run the Radical local tests (-m radical --config local)
 	pip3 install ".[radical-pilot]"
 	mkdir -p ~/.radical/pilot/configs && echo '{"localhost": {"virtenv_mode": "local"}}' > ~/.radical/pilot/configs/resource_local.json
 	pytest parsl/tests/ -k "not cleannet and not issue3328 and not executor_supports_std_stream_tuples" --config parsl/tests/configs/local_radical.py --random-order --durations 10
+	pytest parsl/tests/ -m "radical" --config local --random-order --durations 10
 
 .PHONY: config_local_test
-config_local_test: $(CCTOOLS_INSTALL)
+config_local_test:  ## run the config-local tests (--config local)
 	pip3 install ".[monitoring,visualization,proxystore,kubernetes]"
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and not workqueue and not taskvine and not globus_compute" --config local --random-order --durations 10
 
 .PHONY: site_test
-site_test:
+site_test:  ## Run the site tests
 	pytest parsl/tests/ -k "not cleannet" ${SHARED_FS_OPTIONS} --config parsl/tests/site_tests/site_config_selector.py --random-order
 	pytest parsl/tests/site_tests/ ${SHARED_FS_OPTIONS} --config local
 
 .PHONY: perf_test
-perf_test:
+perf_test:  ## Run `parsl-perf` (--config .../local_threads.py)
 	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py
 
 .PHONY: test ## run all tests with all config types
-test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
+test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test config_local_test perf_test ## run all tests
 
 .PHONY: tag
 tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag

=== debian/changelog ===
python-parsl (2025.11.03+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.03+ds
  * d/watch: restore the repack suffix +ds and debian version mangling.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 20:03:11 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: Parsl
Project: parsl
Repack-Suffix: +ds
DVersion-Mangle: auto

## python-parsl 2025.11.10+ds

=== debian/changelog ===
python-parsl (2025.11.10+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.10+ds

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 15:25:42 +0100
